RDKit: RDKit::HasPropQuery< TargetPtr > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::HasPropQuery< TargetPtr > Class Template Reference

`#include <QueryOps.h>`

Inheritance diagram for RDKit::HasPropQuery< TargetPtr >:

## Public Member Functions
| HasPropQuery ()
| HasPropQuery (const std::string &v)
virtual bool | Match (const TargetPtr what) const
| returns whether or not we match the argument More...
Queries::Query< int, TargetPtr, true > * | copy () const
| returns a copy of this query More...
Public Member Functions inherited from Queries::EqualityQuery< int, TargetPtr, true >
| EqualityQuery ()
| EqualityQuery (intv)
| constructs with our target value More...
| EqualityQuery (intv, intt)
| constructs with our target value and a tolerance More...
void | setVal (intwhat)
| sets our target value More...
const int | getVal () const
| returns our target value More...
void | setTol (intwhat)
| sets our tolerance More...
const int | getTol () const
| returns out tolerance More...
std::string | getFullDescription () const
| returns a fuller text description More...
Public Member Functions inherited from Queries::Query< int, TargetPtr, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated More...
bool | getNegation () const
| returns whether or not we are negated More...
void | setDescription (const std::string &descr)
| sets our text description More...
void | setDescription (const char *descr)
const std::string & | getDescription () const
| returns our text description More...
void | setMatchFunc (bool(*what)(int))
| sets our match function More...
void | setDataFunc (int(*what)(TargetPtr))
| sets our data function More...
void | addChild (CHILD_TYPE child)
| adds a child to our list of children More...
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector More...
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector More...

## Additional Inherited Members
Public Types inherited from Queries::Query< int, TargetPtr, needsConversion >
typedef boost::shared_ptr< Query< int, TargetPtr, needsConversion > > | CHILD_TYPE
typedef std::vector< CHILD_TYPE > | CHILD_VECT
typedef CHILD_VECT::iterator | CHILD_VECT_I
typedef CHILD_VECT::const_iterator | CHILD_VECT_CI
Public Attributes inherited from Queries::Query< int, TargetPtr, needsConversion >
bool(*)(int) | getMatchFunc () const
| returns our match function: More...
int(*)(TargetPtr) | getDataFunc () const
| returns our data function: More...
Protected Member Functions inherited from Queries::Query< int, TargetPtr, needsConversion >
int | TypeConvert (intwhat, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what` More...
int | TypeConvert (TargetPtrwhat, Int2Type< true >) const
| calls our `dataFunc` (which must be set) on `what` and returns the More...
Protected Attributes inherited from Queries::EqualityQuery< int, TargetPtr, true >
int | d_val
int | d_tol
Protected Attributes inherited from Queries::Query< int, TargetPtr, needsConversion >
std::string | d_description
CHILD_VECT | d_children
bool | df_negate
bool(* | d_matchFunc )(int)
int(* | d_dataFunc )(TargetPtr)

## Detailed Description

### template<class TargetPtr>
class RDKit::HasPropQuery< TargetPtr >

Definition at line 521 of file QueryOps.h.

## Constructor & Destructor Documentation

template<class TargetPtr >

RDKit::HasPropQuery< TargetPtr >::HasPropQuery | ( |  | ) |
| inline

Definition at line 525 of file QueryOps.h.

References Queries::Query< int, TargetPtr, needsConversion >::setDataFunc(), and Queries::Query< int, TargetPtr, needsConversion >::setDescription().

Referenced by RDKit::HasPropQuery< TargetPtr >::copy().

template<class TargetPtr >

RDKit::HasPropQuery< TargetPtr >::HasPropQuery | ( | const std::string & | v | ) |
| inlineexplicit

Definition at line 530 of file QueryOps.h.

References Queries::Query< int, TargetPtr, needsConversion >::setDataFunc(), and Queries::Query< int, TargetPtr, needsConversion >::setDescription().

## Member Function Documentation

template<class TargetPtr >

Queries::Query<int, TargetPtr, true>* RDKit::HasPropQuery< TargetPtr >::copy | ( |  | ) | const
| inlinevirtual

returns a copy of this query

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 546 of file QueryOps.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::Query< int, TargetPtr, needsConversion >::d_description, Queries::Query< int, TargetPtr, needsConversion >::getNegation(), RDKit::HasPropQuery< TargetPtr >::HasPropQuery(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation().

template<class TargetPtr >

virtual bool RDKit::HasPropQuery< TargetPtr >::Match | ( | const TargetPtr | arg | ) | const
| inlinevirtual

returns whether or not we match the argument

Reimplemented from Queries::EqualityQuery< int, TargetPtr, true >.

Definition at line 537 of file QueryOps.h.

References Queries::Query< int, TargetPtr, needsConversion >::getNegation().

The documentation for this class was generated from the following file:

- QueryOps.h